## kodi-pvr-plutotv-dmo 20.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.plutotv)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(RapidJSON 1.1.0 REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${RAPIDJSON_INCLUDE_DIRS})

set(PVRPLUTOTV_SOURCES
                    src/Curl.cpp
                    src/Utils.cpp
                    src/PlutotvData.cpp)

set(PVRPLUTOTV_HEADERS
                    src/Curl.h
                    src/Utils.h
                    src/PlutotvData.h)

addon_version(pvr.plutotv IPTV)
add_definitions(-DIPTV_VERSION=${IPTV_VERSION})

build_addon(pvr.plutotv PVRPLUTOTV DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-plutotv-dmo (20.3.2-dmo2~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Mar 2024 11:21:35 +0100

kodi-pvr-plutotv-dmo (20.3.1-dmo2~bpo11+1) oldstable-backports; urgency=medium

  * Build for oldstable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Nov 2023 16:09:31 +0100

kodi-pvr-plutotv-dmo (20.3.1-dmo2) unstable; urgency=medium

  * Must depends on kodi-pvr-iptvsimple instead of kodi-inputstream-adaptive

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Nov 2023 15:07:53 +0100

kodi-pvr-plutotv-dmo (20.3.1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Nov 2023 14:49:38 +0100

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.plutotv/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-pvr-plutotv-dmo 21.3.3

=== debian/changelog ===
kodi-pvr-plutotv-dmo (1:21.3.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Jan 2025 01:40:49 +0100

kodi-pvr-plutotv-dmo (1:21.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Aug 2024 14:47:40 +0200

kodi-pvr-plutotv-dmo (1:21.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Jul 2024 22:04:39 +0200

kodi-pvr-plutotv-dmo (1:21.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 May 2024 09:36:31 +0200

kodi-pvr-plutotv-dmo (1:21.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 May 2024 08:00:34 +0200

kodi-pvr-plutotv-dmo (1:21.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Apr 2024 00:22:35 +0200

kodi-pvr-plutotv-dmo (21.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 13:57:34 +0200

kodi-pvr-plutotv-dmo (20.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Mar 2024 08:35:58 +0100

=== debian/control ===
Source: kodi-pvr-plutotv-dmo
Priority: optional
Section: video
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage:
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), dh-sequence-kodiaddon (>= 5:21~), cmake,
 rapidjson-dev (>= 1.1.0), ninja-build

Package: kodi-pvr-plutotv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi-inputstream-adaptive
Description: Pluto.tv PVR client for Kodi.
 It provides Kodi integration for the TV streaming provider pluto.tv

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs pvr.plutotv/changelog.txt

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.plutotv/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
